import { Font } from '../../../model';
export declare class TextElementModal {
    private _element;
    get Element(): SVGElement;
    constructor(content: string, font: Font, width: number, height: number, isVariableText?: boolean);
    private getforeignObjectElement;
    private createNewForeignObjectText;
}
